/*
 * Copyright 2012 htfv (Aliaksei Lahachou)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.github.htfv.utils.el;

import org.apache.commons.configuration.Configuration;

public class ConfigurationPropertySource implements PropertySource
{
    private final Configuration configuration;

    public ConfigurationPropertySource(final Configuration configuration)
    {
        this.configuration = configuration;
    }

    @Override
    public boolean containsProperty(final String key)
    {
        return configuration.containsKey(key);
    }

    @Override
    public Object getProperty(final String key)
    {
        return configuration.getProperty(key);
    }
}
